Uploaded image for project: 'Tools (JBoss Tools)'
  1. Tools (JBoss Tools)
  2. JBIDE-11469 build Juno target platforms (Eclipse 4.2.0/3.8.0)
  3. JBIDE-11547

relax manifest.mf restrictions on org.eclipse.m2e.tests.common so it can be installed on m2e 1.0 AND 1.1

    XMLWordPrintable

Details

    Description

      [ERROR] Cannot resolve project dependencies:
      [ERROR]   Software being installed: maven.site raw:1.3.0.'SNAPSHOT'/format(n[.n=0;[.n=0;[-S]]]):1.3.0-SNAPSHOT
      [ERROR]   Only one of the following can be installed at once: [
        org.eclipse.m2e.maven.runtime 1.0.0.20110607-2117, 
        **org.eclipse.m2e.maven.runtime 1.1.0.20120315-0501,** 
        org.eclipse.m2e.maven.runtime 1.0.100.20110804-1717]
      
      [ERROR]   Cannot satisfy dependency: maven.site raw:1.3.0.'SNAPSHOT'/format(n[.n=0;[.n=0;[-S]]]):1.3.0-SNAPSHOT depends on: org.jboss.tools.maven.gwt.feature.feature.group 0.0.0
      [ERROR]   Cannot satisfy dependency: maven.site raw:1.3.0.'SNAPSHOT'/format(n[.n=0;[.n=0;[-S]]]):1.3.0-SNAPSHOT depends on: org.jboss.tools.maven.test.feature.feature.group 0.0.0
      [ERROR]   Cannot satisfy dependency: org.eclipse.m2e.core 1.1.0.20120320-0058 depends on: bundle org.eclipse.m2e.maven.runtime [1.1.0,1.2.0)
      
      **[ERROR]   Cannot satisfy dependency: org.eclipse.m2e.tests.common 1.0.0.20110607-2117 depends on: bundle org.eclipse.m2e.maven.runtime [1.0.0,1.1.0)**
      **[ERROR]   Cannot satisfy dependency: org.eclipse.m2e.tests.common 1.0.100.20110804-1717 depends on: bundle org.eclipse.m2e.maven.runtime [1.0.0,1.1.0)**
      
      [ERROR]   Cannot satisfy dependency: org.jboss.tools.maven.gwt 1.3.0.qualifier depends on: bundle org.eclipse.m2e.core [1.0.200,1.2.0)
      [ERROR]   Cannot satisfy dependency: org.jboss.tools.maven.gwt.feature.feature.group 1.3.0.qualifier depends on: org.jboss.tools.maven.gwt 0.0.0
      [ERROR]   Cannot satisfy dependency: org.jboss.tools.maven.test.feature.feature.group 1.3.0.qualifier depends on: org.jboss.tools.maven.ui.bot.test 0.0.0
      [ERROR]   Cannot satisfy dependency: org.jboss.tools.maven.ui.bot.test 1.3.0.qualifier depends on: bundle org.eclipse.m2e.tests.common 0.0.0
      

      https://hudson.qa.jboss.com/hudson/job/jbosstools-3.3_trunk.juno-continuous/6/console

      Attachments

        Activity

          People

            nickboldt Nick Boldt
            nickboldt Nick Boldt
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: